Package org.eclipse.net4j.util.lifecycle

## Enum LifecycleState

- java.lang.Object
- - java.lang.Enum<LifecycleState>
  - - org.eclipse.net4j.util.lifecycle.LifecycleState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<LifecycleState>`

      public enum LifecycleState
      extends java.lang.Enum<LifecycleState>

  Enumerates the possible lifecycle states of an entity with a `lifecycle`.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACTIVATING` |
    `ACTIVE` |
    `DEACTIVATING` |
    `INACTIVE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LifecycleState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static LifecycleState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVATING

          public static final LifecycleState ACTIVATING

    - #### ACTIVE

          public static final LifecycleState ACTIVE

    - #### DEACTIVATING

          public static final LifecycleState DEACTIVATING

    - #### INACTIVE

          public static final LifecycleState INACTIVE

  - ### Method Detail

    - #### values

          public static LifecycleState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LifecycleState c : LifecycleState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LifecycleState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null